# $Revision: 1.15 $, $Date: 2002/02/25 10:31:20 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Lockf
Summary:	File-Lockf perl module
Summary(pl):	Modu perla File-Lockf
Name:		perl-File-Lockf
Version:	0.20
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File-Lockf is a wrapper around the lockf system call.

%description -l pl
File-Lockf umoliwia korzystanie z wywoania systemowego lockf.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitearch}/File/lockf.pm
%dir %{perl_sitearch}/auto/File/lockf
%{perl_sitearch}/auto/File/lockf/lockf.bs
%attr(755,root,root) %{perl_sitearch}/auto/File/lockf/lockf.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-Lockf.spec,v $
Revision 1.15  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.14  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/13 14:13:56  depesz
automatic: Source location unfied, Relase Up

Revision 1.12  2002/02/10 15:26:04  depesz
adapterized

Revision 1.11  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.9  2001/04/17 12:08:51  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.8  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.7  2001/01/25 20:03:45  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.6  2001/01/03 21:17:30  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.5  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.1  1999/11/06 00:52:08  pius
- initial release
